function []=lookat_field(u,v,nfx,nfy,cflag,cfactor,nskip,uvscale)

load_bbmap;bbmap(16,:)=.99.*[1 1 1];bbmap(17,:)=bbmap(16,:);

if(nfx(3)>0);
  nx=nfx(3);
elseif(nfx(1)>0);
  nx=nfx(1);
end;

nxrange=[0 nfy(1) nfy(2) nfy(3) nfx(4) nfx(5)];
nxrange=cumsum(nxrange);

fac=nx/270;

if(nskip<fac&nx>270);
  fprintf('nx=%i , nskip=%i is too small, changed to fac=%i\n',[nx nskip fac]);
  nskip=fac;
end;
N=nskip;

%figure(fignum);clf;colormap(bbmap);
for iface=1:5;
  if(nfx(iface)>0)
    figure(iface);clf;colormap(bbmap);
    ix=1:nx;iy=nxrange(iface)+1:nxrange(iface+1);
    %if(iface<=3);subplot(2,3,iface);else;subplot(2,2,iface-1);end;
    tmpu=reshape(u(ix,iy),nfx(iface),nfy(iface));
    tmpv=reshape(v(ix,iy),nfx(iface),nfy(iface));
    tmpuc=nan.*tmpu;tmpuc(1:end-1,:)=(tmpu(1:end-1,:)+tmpu(2:end,:))./2;
    tmpvc=nan.*tmpv;tmpvc(1:end-1,:)=(tmpv(1:end-1,:)+tmpv(2:end,:))./2;
    fld=sqrt(tmpuc.^2+tmpvc.^2);
    sz=size(fld);ix1=1:N:sz(1);iy1=1:N:sz(2);
    mypcolor(fld');
    if(cflag);mycaxis(cfactor);else;cc1=caxis;caxis(cfactor.*cc1);end;mythincolorbar;
    hold on;aa=myquiver(ix1,iy1,tmpuc(ix1,iy1)',tmpvc(ix1,iy1)',uvscale);hold off;
    set(aa,'color',.1.*[1 1 1]);grid;title(['Face ' num2str(iface)]);
  end;
end;

return
